package com.neusoft.smart.pos.trade.persistent.mapper;

import com.neusoft.smart.pos.trade.persistent.domain.BillDetailProfit;
import com.neusoft.smart.pos.trade.persistent.domain.BillDetailProfitExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface BillDetailProfitMapper {
    int countByExample(BillDetailProfitExample example);

    int deleteByExample(BillDetailProfitExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(BillDetailProfit record);

    int insertSelective(BillDetailProfit record);

    List<BillDetailProfit> selectByExample(BillDetailProfitExample example);

    BillDetailProfit selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") BillDetailProfit record, @Param("example") BillDetailProfitExample example);

    int updateByExample(@Param("record") BillDetailProfit record, @Param("example") BillDetailProfitExample example);

    int updateByPrimaryKeySelective(BillDetailProfit record);

    int updateByPrimaryKey(BillDetailProfit record);

    void batchInsert(@Param("items") List<BillDetailProfit> items);
}